Ruby 1.9.3-p125 and RVM on Mac

new ruby version is out and it’s time to upgrade! The first try gave me this error:

?  ~  rvm install 1.9.3-p125
Error running ' ./configure --prefix=/Users/antonio/.rvm/rubies/ruby-1.9.3-p125 --enable-shared --disable-install-doc --with-libyaml --with-opt-dir=/Users/antonio/.rvm/usr ', please read /Users/antonio/.rvm/log/ruby-1.9.3-p125/configure.log
There has been an error while running configure. Halting the installation.

Adding the compiler option “–with-gcc=clang” worked:

?  ~  rvm install 1.9.3-p125 --with-gcc=clang
Install of ruby-1.9.3-p125 - #complete

enjoy Ruby :)

comments powered by Disqus